weka.classifiers.trees.ht

## Class Split

- java.lang.Object
- - weka.classifiers.trees.ht.Split

- All Implemented Interfaces:
    java.io.Serializable
  Direct Known Subclasses:
    UnivariateNominalMultiwaySplit, UnivariateNumericBinarySplit

      public abstract class Split
      extends java.lang.Object
      implements java.io.Serializable

  Base class for different split types
  Version:
    $Revision: 10531 $
  Author:
    Richard Kirkby (rkirkby@cs.waikato.ac.nz), Mark Hall (mhall{[at]}pentaho{[dot]}com)
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Split()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract java.lang.String` | `branchForInstance(Instance inst)` Returns the name of the branch that the supplied instance would go down
    `abstract java.lang.String` | `conditionForBranch(java.lang.String branch)` Returns the condition for the supplied branch name
    `java.util.List<java.lang.String>` | `splitAttributes()`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Split

          public Split()

  - ### Method Detail

    - #### branchForInstance

          public abstract java.lang.String branchForInstance(Instance inst)

      Returns the name of the branch that the supplied instance would go down
      Parameters:
        `inst` - the instance to find the branch for
      Returns:
        the name of the branch that the instance would go down

    - #### conditionForBranch

          public abstract java.lang.String conditionForBranch(java.lang.String branch)

      Returns the condition for the supplied branch name
      Parameters:
        `branch` - the name of the branch to get the condition for
      Returns:
        the condition (test) that corresponds to the named branch

    - #### splitAttributes

          public java.util.List<java.lang.String> splitAttributes()